# Enum DatadirCleanupManager.PurgeTaskStatus

java.lang.Object
java.lang.Enum<DatadirCleanupManager.PurgeTaskStatus>
org.apache.zookeeper.server.DatadirCleanupManager.PurgeTaskStatus

All Implemented Interfaces:
  `Serializable, Comparable<DatadirCleanupManager.PurgeTaskStatus>`

Enclosing class:
  `DatadirCleanupManager`

public static enum DatadirCleanupManager.PurgeTaskStatus extends Enum<DatadirCleanupManager.PurgeTaskStatus>
Status of the dataDir purge task

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPLETED`
`NOT_STARTED`
`STARTED`

## Method Summary

Modifier and Type
Method
Description
`static DatadirCleanupManager.PurgeTaskStatus`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DatadirCleanupManager.PurgeTaskStatus[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT_STARTED

public static final DatadirCleanupManager.PurgeTaskStatus NOT_STARTED

### STARTED

public static final DatadirCleanupManager.PurgeTaskStatus STARTED

### COMPLETED

public static final DatadirCleanupManager.PurgeTaskStatus COMPLETED

## Method Details

### values

public static DatadirCleanupManager.PurgeTaskStatus[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DatadirCleanupManager.PurgeTaskStatus valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null